#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "fd-util.h"


gboolean
fd_boot_is_live (void)
{
    static gint boot_flag = -1;
    const gchar *cmd = "cat /proc/cmdline";
    if (boot_flag == -1)
    {
        gchar *output;
        g_spawn_command_line_sync (cmd,
                                   &output,
                                   NULL,
                                   NULL,
                                   NULL);
        if (g_strrstr (output, "boot=live") != NULL)
            boot_flag = 1;
        else 
            boot_flag = 0;
    }
    return boot_flag == 1 ? TRUE : FALSE;
}