/* found-rr.h
 *
 * Copyright 2011, Red Hat, Inc.
 * 
 * This file is part of the Fd Library.
 * 
 * The Fd Library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The Fd Library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with the Fd Library; see the file COPYING.LIB.  If not,
 * write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 * 
 * Author: Colin Walters <walters@verbum.org>
 */

#ifndef FD_DATETIME_SOURCE_H
#define FD_DATETIME_SOURCE_H

#include <glib.h>

GSource *_fd_datetime_source_new (GDateTime *now,
				     GDateTime *expiry,
				     gboolean   cancel_on_set);

#endif /* FD_DATETIME_SOURCE_H */
